"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.appConfigureComponent = void 0;
const logSymbols = require("log-symbols");
const util_1 = require("../../util");
const project_1 = require("../project");
const user_1 = require("../user");
const app_init_component_1 = require("./app-init-component");
const models_1 = require("./models");
const target_1 = require("./target");
async function appConfigureComponent(props) {
    const { yes, targetProtocol, targetHardware, targetHostname, targetPath, project, deviceId, syncModels = false } = props;
    await (0, user_1.checkUserIsLoggedInComponent)({ yes });
    await (0, app_init_component_1.appInitComponent)({ yes, project });
    if (syncModels) {
        const projectModels = await (0, project_1.fetchProjectModels)();
        for (const model of projectModels) {
            await (0, models_1.appModelsAddComponent)({
                yes,
                id: model.id,
                addToProject: false
            });
        }
        (0, util_1.echo)(`${logSymbols.success} Add models from project`);
    }
    await (0, target_1.targetJsonComponent)({
        yes,
        targetProtocol,
        targetHardware,
        targetHostname,
        targetPath,
        deviceId
    });
}
exports.appConfigureComponent = appConfigureComponent;
//# sourceMappingURL=app-configure-component.js.map