"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTargetDirectoryComponent = void 0;
const util_1 = require("../../../util");
async function createTargetDirectoryComponent(props) {
    const spinner = (0, util_1.Spinner)('Create target directory');
    try {
        const spawner = (0, util_1.SshSpawner)({
            targetHostname: props.targetHostname,
            targetPath: props.targetPath
        });
        await spawner.mkdirp();
        spinner.succeed();
    }
    catch (exception) {
        spinner.fail();
        throw exception;
    }
}
exports.createTargetDirectoryComponent = createTargetDirectoryComponent;
//# sourceMappingURL=create-target-directory-component.js.map