"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.targetProtocolPromptComponent = void 0;
const app_1 = require("../../../core/app");
const environment_1 = require("../../../environment");
const destination_prompt_component_1 = require("./destination-prompt-component");
async function targetProtocolPromptComponent(props) {
    const { prevTargetProtocol } = props;
    const destination = await (0, destination_prompt_component_1.destinationPromptComponent)({
        prevDestination: prevTargetProtocol === app_1.TargetProtocol['ssh+docker:']
            ? destination_prompt_component_1.Destination.REMOTE_DEVICE
            : destination_prompt_component_1.Destination.YOUR_LOCAL_COMPUTER
    });
    let answer;
    switch (environment_1.ALWAYSAI_OS_PLATFORM) {
        case 'linux': {
            answer =
                destination === destination_prompt_component_1.Destination.REMOTE_DEVICE
                    ? app_1.TargetProtocol['ssh+docker:']
                    : app_1.TargetProtocol['docker:'];
            break;
        }
        case 'win32':
        case 'darwin': {
            answer =
                destination === destination_prompt_component_1.Destination.REMOTE_DEVICE
                    ? app_1.TargetProtocol['ssh+docker:']
                    : app_1.TargetProtocol['native:'];
            break;
        }
        default: {
            answer = app_1.TargetProtocol['ssh+docker:'];
        }
    }
    return answer;
}
exports.targetProtocolPromptComponent = targetProtocolPromptComponent;
//# sourceMappingURL=target-protocol-prompt-component.js.map