"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeStandaloneDockerfileComponent = void 0;
const alwayscli_1 = require("@alwaysai/alwayscli");
const paths_1 = require("../../paths");
const app_1 = require("../../core/app");
const util_1 = require("../../util");
const WRITE_MESSAGE = `Write ${paths_1.DOCKERFILE_STANDALONE}`;
async function writeStandaloneDockerfileComponent() {
    const spinner = (0, util_1.Spinner)(WRITE_MESSAGE);
    try {
        await (0, app_1.writeStandaloneDockerfile)();
        spinner.succeed();
    }
    catch (exception) {
        util_1.logger.error((0, util_1.stringifyError)(exception));
        spinner.fail();
        throw new alwayscli_1.CliTerseError(exception);
    }
}
exports.writeStandaloneDockerfileComponent = writeStandaloneDockerfileComponent;
//# sourceMappingURL=write-standalone-dockerfile-component.js.map