"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.connectBySshComponent = void 0;
const util_1 = require("../../util");
async function connectBySshComponent(props) {
    const { targetHostname, warnOrFail = 'fail' } = props;
    const spinner = (0, util_1.Spinner)('Connect by SSH');
    try {
        await (0, util_1.connectBySsh)({ targetHostname });
        spinner.succeed();
    }
    catch (exception) {
        spinner[warnOrFail]();
        throw exception;
    }
}
exports.connectBySshComponent = connectBySshComponent;
//# sourceMappingURL=connect-by-ssh-component.js.map