"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeCertificate = void 0;
const certificate_paths_1 = require("../../infrastructure/certificate-paths");
async function writeCertificate({ spawner, certificate, privateKey, rootCa }) {
    await spawner.mkdirp();
    // save certificate
    await spawner.writeFile(certificate_paths_1.DEVICE_CERTIFICATE_FILE_NAME, certificate);
    // Save private key
    await spawner.writeFile(certificate_paths_1.DEVICE_PRIVATE_KEY_FILE_NAME, privateKey);
    // save root cert
    await spawner.writeFile(certificate_paths_1.DEVICE_ROOT_CERT_FILE_NAME, rootCa);
}
exports.writeCertificate = writeCertificate;
//# sourceMappingURL=write-certificate.js.map