"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeTokens = void 0;
const paths_1 = require("../../paths");
const util_1 = require("../../util");
async function writeTokens({ spawner, tokens }) {
    await spawner.mkdirp();
    let contents = tokens;
    if (await spawner.exists(paths_1.DEVICE_TOKEN_FILE_NAME)) {
        try {
            const origContents = await spawner.readFile(paths_1.DEVICE_TOKEN_FILE_NAME);
            const origParsed = JSON.parse(origContents);
            contents = Object.assign(Object.assign({}, origParsed), contents);
        }
        catch (err) {
            util_1.logger.error((0, util_1.stringifyError)(err));
            await spawner.rimraf(paths_1.DEVICE_TOKEN_FILE_NAME);
        }
    }
    await spawner.writeFile(paths_1.DEVICE_TOKEN_FILE_NAME, JSON.stringify(contents, null, 2));
}
exports.writeTokens = writeTokens;
//# sourceMappingURL=write-tokens.js.map