"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.downloadModelPackageToCache = void 0;
const alwayscli_1 = require("@alwaysai/alwayscli");
const constants_1 = require("../../constants");
const model_package_cache_1 = require("./model-package-cache");
const model_package_cloud_client_1 = require("./model-package-cloud-client");
async function downloadModelPackageToCache(id, version) {
    const readable = await model_package_cloud_client_1.modelPackageCloudClient.download(id, version);
    if (readable === null) {
        throw new alwayscli_1.CliTerseError(`Error downloading model package. ${constants_1.PLEASE_REPORT_THIS_ERROR_MESSAGE}`);
    }
    await model_package_cache_1.modelPackageCache.write(id, version, readable);
}
exports.downloadModelPackageToCache = downloadModelPackageToCache;
//# sourceMappingURL=download-model-package-to-cache.js.map