"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModelJsonFile = void 0;
const path_1 = require("path");
const cloud_api_1 = require("@alwaysai/cloud-api");
const config_nodejs_1 = require("@alwaysai/config-nodejs");
const alwayscli_1 = require("@alwaysai/alwayscli");
const model_package_json_file_1 = require("./model-package-json-file");
const ENOENT = {
    message: `Please check that "${model_package_json_file_1.MODEL_JSON_FILE_NAME}" exists and contains the correct model and user information`,
    code: alwayscli_1.CLI_TERSE_ERROR
};
function ModelJsonFile(dir) {
    const path = (0, path_1.join)(dir, model_package_json_file_1.MODEL_JSON_FILE_NAME);
    const configFile = (0, config_nodejs_1.ConfigFile)({
        path,
        codec: cloud_api_1.rpcCreateModelVersionArg0Codec,
        ENOENT
    });
    return configFile;
}
exports.ModelJsonFile = ModelJsonFile;
//# sourceMappingURL=model-json-file.js.map