import { JSONSchemaType } from 'ajv';
export interface ProjectConfig {
    project: {
        id: string;
        name?: string;
    };
}
export declare const projectConfigSchema: JSONSchemaType<ProjectConfig>;
export declare function ProjectJsonFile(dir?: string): {
    name: string;
    path: string;
    read: () => ProjectConfig;
    readIfExists: () => ProjectConfig | undefined;
    readRaw: () => string;
    readParsed: () => any;
    write: (config: ProjectConfig) => import("@alwaysai/config-nodejs/lib/config-file-schema").SerializedInfoType;
    writeRaw: (serialized: string) => import("@alwaysai/config-nodejs/lib/config-file-schema").InfoType;
    remove: () => import("@alwaysai/config-nodejs/lib/config-file-schema").InfoType;
    update: (updater: (config: ProjectConfig) => void) => import("@alwaysai/config-nodejs/lib/config-file-schema").InfoType;
    exists: () => boolean;
    initialize: () => void;
    validate: import("ajv").ValidateFunction<ProjectConfig>;
    getErrors: () => import("ajv").ErrorObject<string, Record<string, any>, unknown>[] | null | undefined;
};
//# sourceMappingURL=project-json-file.d.ts.map