#!/usr/bin/env node
"use strict";
// This file is the entry point for when this package is run as a CLI. Though
// this file is not executable, the above "shebang" line is necessary as an
// indicator to npm that this file is a Node.js script, not a shell script e.g.
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const check_for_updates_1 = require("./components/general/check-for-updates");
const enhancer_1 = require("./enhancer");
const post_tracking_data_to_hubspot_1 = require("./infrastructure/post-tracking-data-to-hubspot");
const root_1 = require("./root");
if (module === require.main) {
    const currentDate = new Intl.DateTimeFormat('en-US', {
        timeZone: 'America/Los_Angeles'
    }).format(new Date());
    void (0, post_tracking_data_to_hubspot_1.postTrackingDataToHubspot)('most_recent_cli_date', currentDate).then(function () {
        // do nothing
    });
    void (0, alwayscli_1.runCliAndExit)(root_1.root, { enhancer: enhancer_1.enhancer, postRun: check_for_updates_1.checkForUpdatesAndPrompt });
}
//# sourceMappingURL=index.js.map