export declare function CliAuthenticationClient(options?: Partial<{
    readonly: boolean;
}>): {
    isSignedIn(): boolean;
    signOut(): void;
    getAuthorizationHeader(): Promise<{
        Authorization: string;
    }>;
    getIdAuthorizationHeader(): Promise<{
        Authorization: string;
    }>;
    getInfo(): Promise<{
        username: string;
        uuid: string;
        email: string;
    }>;
    signIn(email: string, password: string): Promise<{
        authenticationState: "NON_TEMPORARY_PASSWORD_REQUIRED";
        setNonTemporaryPassword(password: string): Promise<{
            authenticationState: "AUTHENTICATED" | "USER_CONFIRMATION_REQUIRED" | "PASSWORD_RESET_REQUIRED" | "INCORRECT_PASSWORD" | "USER_NOT_FOUND" | "NON_TEMPORARY_PASSWORD_REQUIRED" | "INVALID_PASSWORD" | "MFA_REQUIRED" | "TOTP_REQUIRED" | "MFA_SETUP" | "SELECT_MFA_TYPE" | "CUSTOM_CHALLENGE";
        }>;
    } | {
        authenticationState: "AUTHENTICATED" | "USER_CONFIRMATION_REQUIRED" | "PASSWORD_RESET_REQUIRED" | "INCORRECT_PASSWORD" | "USER_NOT_FOUND" | "INVALID_PASSWORD" | "MFA_REQUIRED" | "TOTP_REQUIRED" | "MFA_SETUP" | "SELECT_MFA_TYPE" | "CUSTOM_CHALLENGE";
    }>;
};
//# sourceMappingURL=authentication-client.d.ts.map