export declare const DEVICE_CERTIFICATES_DIRECTORY_NAME = "certificates";
export declare const DEVICE_PRIVATE_KEY_FILE_NAME = "aai-device-private-key.pem.key";
export declare const DEVICE_CERTIFICATE_FILE_NAME = "aai-device-cert.pem.crt";
export declare const DEVICE_CERTIFICATE_ID_FILE_NAME = "aai-device-cert-id.txt";
export declare const DEVICE_PUBLIC_KEY_FILE_NAME = "alwaysai.public.pem.key";
export declare const DEVICE_ROOT_CERT_FILE_NAME = "AmazonRootCA1.pem";
export declare abstract class DeviceCertificates {
    baseDir: string;
    certificateDirectoryName: string;
    certificateFileName: string;
    privateKeyFileName: string;
    publicKeyFileName: string;
    certificateIdFileName: string;
    rootCertificateFileName: string;
    constructor(baseDir: string);
    /**
     * Returns the upper level (home) directory where all
     * certificates are stored
     */
    getBaseCertificateDirectoryPath(): string;
    /**
     * Returns the name of the folder where the certificates are
     * stored inside the base certificate directory
     */
    getCertificateDirectoryName(): string;
    /**
     * Returns the full path to the folder where the certificates
     * are directly stored. This is the file you would write to
     * on device init, or remove on device clean.
     */
    getCertificateDirectoryPath(): string;
    getPrivateKeyFileName(): string;
    getPrivateKeyFilePath(): string;
    getCertificateFileName(): string;
    getCertificateFilePath(): string;
    getCertificateIdFileName(): string;
    getCertificateIdFilePath(): string;
    getPublicKeyFileName(): string;
    getPublicKeyFilePath(): string;
    getRootCertificateFileName(): string;
    getRootCertificateFilePath(): string;
}
export declare class RemoteLegacyDeviceCertificates extends DeviceCertificates {
    constructor(baseDir?: string);
}
export declare class RemoteDeviceCertificates extends DeviceCertificates {
    constructor(baseDir?: string);
}
export declare class LocalLegacyDeviceCertificates extends DeviceCertificates {
    constructor(baseDir?: string);
}
export declare class LocalDeviceCertificates extends DeviceCertificates {
    constructor(baseDir?: string);
}
export declare const LOCAL_DEVICE_CREDENTIALS_DIR: string;
export declare const LOCAL_CERT_AND_KEY_DIR: string;
export declare const DEVICE_PRIVATE_KEY_FILE_PATH: string;
export declare const DEVICE_CERTIFICATE_FILE_PATH: string;
export declare const REMOTE_DEVICE_CREDENTIALS_DIR: string;
export declare const REMOTE_CERT_AND_KEY_DIR_LINUX: string;
//# sourceMappingURL=certificate-paths.d.ts.map