"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DOCKER_COMPOSE_FILE = exports.DOCKERFILE_STANDALONE = exports.DOCKERFILE = exports.REMOTE_AAI_CFG_DIR_LINUX = exports.LOCAL_AAI_CFG_DIR = exports.AAI_CONFIG_DIRECTORY_NAME = exports.ALWAYSAI_CONFIG_FILE_NAME = exports.DEVICE_TOKEN_FILE_NAME = exports.PUBLIC_KEY_FILE_PRETTY_PATH = exports.PUBLIC_KEY_FILE_PATH = exports.PRIVATE_KEY_FILE_PRETTY_PATH = exports.PRIVATE_KEY_FILE_PATH = exports.PRIVATE_KEY_FILE_NAME = exports.DOT_SSH_DIR = exports.PYTHON_REQUIREMENTS_FILE_NAME = exports.VENV_SCRIPTS_ACTIVATE = exports.VENV_BIN_ACTIVATE = exports.VENV = exports.APP_MODELS_DIRECTORY_NAME = exports.TARGET_JSON_FILE_NAME = exports.PROJECT_JSON_FILE_NAME = exports.APP_JSON_FILE_NAME = exports.APP_PY_FILE_NAME = exports.MODEL_PACKAGE_CACHE_DIR = exports.AAI_DIR = exports.PACKAGE_DIR = void 0;
const os_1 = require("os");
const path_1 = require("path");
const environment_1 = require("./environment");
exports.PACKAGE_DIR = (0, path_1.resolve)(__dirname, '..');
exports.AAI_DIR = environment_1.ALWAYSAI_STORAGE_DIR_ENV || (0, path_1.join)((0, os_1.homedir)(), '.alwaysai');
exports.MODEL_PACKAGE_CACHE_DIR = (0, path_1.join)(exports.AAI_DIR, 'model-package-cache');
exports.APP_PY_FILE_NAME = 'app.py';
exports.APP_JSON_FILE_NAME = 'alwaysai.app.json';
exports.PROJECT_JSON_FILE_NAME = 'alwaysai.project.json';
exports.TARGET_JSON_FILE_NAME = 'alwaysai.target.json';
exports.APP_MODELS_DIRECTORY_NAME = 'models';
exports.VENV = 'venv';
exports.VENV_BIN_ACTIVATE = path_1.posix.join(exports.VENV, 'bin', 'activate');
exports.VENV_SCRIPTS_ACTIVATE = (0, path_1.join)(exports.VENV, 'Scripts', 'activate.bat');
exports.PYTHON_REQUIREMENTS_FILE_NAME = 'requirements.txt';
exports.DOT_SSH_DIR = (0, path_1.join)((0, os_1.homedir)(), '.ssh');
exports.PRIVATE_KEY_FILE_NAME = 'alwaysai.id_rsa';
exports.PRIVATE_KEY_FILE_PATH = (0, path_1.join)(exports.DOT_SSH_DIR, exports.PRIVATE_KEY_FILE_NAME);
exports.PRIVATE_KEY_FILE_PRETTY_PATH = `~/.ssh/${exports.PRIVATE_KEY_FILE_NAME}`;
exports.PUBLIC_KEY_FILE_PATH = `${exports.PRIVATE_KEY_FILE_PATH}.pub`;
exports.PUBLIC_KEY_FILE_PRETTY_PATH = `${exports.PRIVATE_KEY_FILE_PRETTY_PATH}.pub`;
exports.DEVICE_TOKEN_FILE_NAME = 'alwaysai.credentials.json';
exports.ALWAYSAI_CONFIG_FILE_NAME = 'alwaysai.config.json';
exports.AAI_CONFIG_DIRECTORY_NAME = (0, path_1.join)('.config', 'alwaysai');
exports.LOCAL_AAI_CFG_DIR = environment_1.ALWAYSAI_CFG_DIR !== null && environment_1.ALWAYSAI_CFG_DIR !== void 0 ? environment_1.ALWAYSAI_CFG_DIR : (0, path_1.join)((0, os_1.homedir)(), exports.AAI_CONFIG_DIRECTORY_NAME);
exports.REMOTE_AAI_CFG_DIR_LINUX = path_1.posix.join('~', exports.AAI_CONFIG_DIRECTORY_NAME);
exports.DOCKERFILE = 'Dockerfile';
exports.DOCKERFILE_STANDALONE = 'Dockerfile.standalone';
exports.DOCKER_COMPOSE_FILE = 'docker-compose.yaml';
//# sourceMappingURL=paths.js.map