"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.appGenerateCliBranch = exports.docker = exports.dockerCompose = void 0;
const alwayscli_1 = require("@alwaysai/alwayscli");
const app_1 = require("../../components/app");
const docker_1 = require("../../components/docker");
const app_2 = require("../../core/app");
exports.dockerCompose = (0, alwayscli_1.CliLeaf)({
    name: 'docker-compose',
    description: 'Generate Docker compose file for this project.',
    hidden: false,
    async action() {
        await (0, docker_1.findOrWriteDockerComposeFileComponent)({
            yes: true,
            cmd: await (0, app_2.getDockerComposeCmdForApp)({})
        });
        await (0, docker_1.writeStandaloneDockerfileComponent)();
    }
});
exports.docker = (0, alwayscli_1.CliLeaf)({
    name: 'docker',
    description: `Package this application as a Docker image`,
    positionalInput: (0, alwayscli_1.CliStringInput)({
        description: 'Tag for application Docker image. Format: <dockerhub-user>/<img-name>:<version>',
        placeholder: '<image_tag>',
        required: true
    }),
    async action(dockerTag) {
        await (0, app_1.appPackageComponent)({
            yes: true,
            dockerImageTag: dockerTag
        });
    }
});
exports.appGenerateCliBranch = (0, alwayscli_1.CliBranch)({
    name: 'generate',
    description: `Generate application files.`,
    subcommands: [exports.dockerCompose, exports.docker]
});
//# sourceMappingURL=generate.js.map