"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.appInstallCliLeaf = void 0;
const alwayscli_1 = require("@alwaysai/alwayscli");
const cli_inputs_1 = require("../../cli-inputs");
const app_1 = require("../../components/app");
exports.appInstallCliLeaf = (0, alwayscli_1.CliLeaf)({
    name: 'install',
    description: 'Install this application and its dependencies locally or on a remote device',
    namedInputs: {
        yes: cli_inputs_1.yesCliInput,
        clean: cli_inputs_1.cleanCliInput,
        pull: (0, alwayscli_1.CliFlagInput)({
            description: 'Pull the base docker image prior to building'
        }),
        source: (0, alwayscli_1.CliFlagInput)({
            description: 'Specifically install the application source'
        }),
        excludes: (0, alwayscli_1.CliStringArrayInput)({
            description: 'One or more files to exclude from package',
            required: false,
            placeholder: '<path/to/file1> [<path/to/file2> ...]'
        }),
        'skip-models': (0, alwayscli_1.CliFlagInput)({
            description: "Skip the install of the application's models."
        })
    },
    async action(_, opts) {
        const { yes, clean, pull, source, excludes } = opts;
        await (0, app_1.appInstallComponent)({
            yes,
            clean,
            pull,
            source,
            excludes,
            skipModels: opts['skip-models']
        });
    }
});
//# sourceMappingURL=install.js.map