"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addModelsAddCliLeaf = void 0;
const alwayscli_1 = require("@alwaysai/alwayscli");
const cli_inputs_1 = require("../../../cli-inputs");
const app_1 = require("../../../components/app");
const app_2 = require("../../../core/app");
const util_1 = require("../../../util");
exports.addModelsAddCliLeaf = (0, alwayscli_1.CliLeaf)({
    name: 'add',
    description: 'Add a model to this application',
    positionalInput: cli_inputs_1.modelIdCliInput,
    namedInputs: {
        yes: cli_inputs_1.yesCliInput,
        version: (0, alwayscli_1.CliNumberInput)({
            description: 'The model version to add'
        })
    },
    async action(id, { yes, version }) {
        await (0, app_1.appModelsAddComponent)({ id, yes, version, addToProject: true });
        (0, util_1.echo)();
        const appJsonFile = (0, app_2.AppJsonFile)();
        (0, util_1.echo)(appJsonFile.describeModels());
    }
});
//# sourceMappingURL=add.js.map