"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeAllModels = void 0;
const alwayscli_1 = require("@alwaysai/alwayscli");
const app_1 = require("../../../components/app");
exports.removeAllModels = (0, alwayscli_1.CliLeaf)({
    name: 'remove-all',
    description: `Remove all models from this application`,
    namedInputs: {
        purge: (0, alwayscli_1.CliFlagInput)({
            description: 'Purge the model files from the application target directory'
        }),
        'remove-from-project': (0, alwayscli_1.CliFlagInput)({
            description: 'Remove the models from the project'
        })
    },
    async action(_, { purge, 'remove-from-project': removeFromProject }) {
        await (0, app_1.appModelsRemoveAllComponent)({ purge, removeFromProject });
    }
});
//# sourceMappingURL=remove-all.js.map