"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeModels = void 0;
const alwayscli_1 = require("@alwaysai/alwayscli");
const cli_inputs_1 = require("../../../cli-inputs");
const app_1 = require("../../../components/app");
exports.removeModels = (0, alwayscli_1.CliLeaf)({
    name: 'remove',
    description: `Remove a model from this application`,
    positionalInput: cli_inputs_1.modelIdCliInput,
    namedInputs: {
        purge: (0, alwayscli_1.CliFlagInput)({
            description: 'Purge the model files from the application target directory'
        }),
        'remove-from-project': (0, alwayscli_1.CliFlagInput)({
            description: 'Remove the model from the project'
        })
    },
    async action(id, { purge, 'remove-from-project': removeFromProject }) {
        await (0, app_1.appModelsRemoveComponent)({ id, purge, removeFromProject });
    }
});
//# sourceMappingURL=remove.js.map