"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.syncProjectModelsCliLeaf = void 0;
const alwayscli_1 = require("@alwaysai/alwayscli");
const logSymbols = require("log-symbols");
const app_1 = require("../../../components/app");
const project_1 = require("../../../components/project");
const util_1 = require("../../../util");
exports.syncProjectModelsCliLeaf = (0, alwayscli_1.CliLeaf)({
    name: 'sync',
    description: 'Sync project models from web',
    async action() {
        const projectModels = await (0, project_1.fetchProjectModels)();
        for (const model of projectModels) {
            await (0, app_1.appModelsAddComponent)({
                yes: true,
                id: model.id,
                addToProject: false
            });
        }
        (0, util_1.echo)(`${logSymbols.success} Add models from project`);
    }
});
//# sourceMappingURL=sync.js.map