"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.appPackageCliLeaf = void 0;
const alwayscli_1 = require("@alwaysai/alwayscli");
const cli_inputs_1 = require("../../cli-inputs");
const app_1 = require("../../components/app");
const environment_1 = require("../../environment");
exports.appPackageCliLeaf = (0, alwayscli_1.CliLeaf)({
    name: 'package',
    description: 'Package this application as a Docker image',
    namedInputs: {
        yes: cli_inputs_1.yesCliInput,
        tag: (0, alwayscli_1.CliStringInput)({
            description: 'Tag for application Docker image. Format: <dockerhub-user>/<img-name>:<version>'
        })
    },
    hidden: !environment_1.ALWAYSAI_SHOW_HIDDEN,
    async action(_, opts) {
        const { yes, tag } = opts;
        await (0, app_1.appPackageComponent)({
            yes,
            dockerImageTag: tag
        });
    }
});
//# sourceMappingURL=package.js.map