"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.appPublishCliLeaf = void 0;
const alwayscli_1 = require("@alwaysai/alwayscli");
const cli_inputs_1 = require("../../cli-inputs");
const app_1 = require("../../components/app");
const util_1 = require("../../util");
exports.appPublishCliLeaf = (0, alwayscli_1.CliLeaf)({
    name: 'publish',
    description: 'Publish a new version of your application to your project',
    namedInputs: {
        yes: cli_inputs_1.yesCliInput,
        name: (0, alwayscli_1.CliStringInput)({
            description: 'Release Name',
            required: false,
            placeholder: '<release_name>'
        }),
        excludes: (0, alwayscli_1.CliStringArrayInput)({
            description: 'One or more files to exclude from package',
            required: false,
            placeholder: '<path/to/file1> [<path/to/file2> ...]'
        })
    },
    async action(_, opts) {
        const { yes, name, excludes } = opts;
        const releaseHash = await (0, app_1.appPublishComponent)({
            yes,
            name,
            excludes
        });
        (0, util_1.echo)(`Published release ${releaseHash}`);
    }
});
//# sourceMappingURL=publish.js.map