"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateProductionDevice = void 0;
const alwayscli_1 = require("@alwaysai/alwayscli");
const device_1 = require("../components/device");
const environment_1 = require("../environment");
const echo_1 = require("../util/echo");
const logSymbols = require("log-symbols");
const generateProductionDeviceCliLeaf = () => (0, alwayscli_1.CliLeaf)({
    name: 'generate-production-device',
    description: 'Generate a new production device',
    hidden: !environment_1.ALWAYSAI_SHOW_HIDDEN,
    namedInputs: {
        name: (0, alwayscli_1.CliStringInput)({
            description: 'The device name. For example, "Raspberry Pi"',
            required: true,
            placeholder: '<device_name>'
        }),
        description: (0, alwayscli_1.CliStringInput)({
            description: 'A detailed description of the device',
            required: false
        })
    },
    async action(_, { name, description }) {
        (0, echo_1.echo)(`${logSymbols.warning} The generate-production-device command is deprecated and will be removed in a future release. Please plan to move to the new alwaysAI Remote Deployment provisioning workflow. Contact alwaysAI support for assistance.`);
        await (0, device_1.generateProductionDeviceFunc)({ name, description });
    }
});
exports.generateProductionDevice = generateProductionDeviceCliLeaf();
//# sourceMappingURL=generate-production-device.js.map