"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.modelList = void 0;
const alwayscli_1 = require("@alwaysai/alwayscli");
const cli_inputs_1 = require("../../cli-inputs");
const user_1 = require("../../components/user");
const model_1 = require("../../core/model");
const util_1 = require("../../util");
exports.modelList = (0, alwayscli_1.CliLeaf)({
    name: 'list',
    description: 'List models',
    namedInputs: {
        yes: cli_inputs_1.yesCliInput,
        project: (0, alwayscli_1.CliStringInput)({
            description: 'Project ID'
        })
    },
    async action(_, { yes, project }) {
        await (0, user_1.checkUserIsLoggedInComponent)({ yes });
        const models = await (0, model_1.getModels)({ yes, projectUuid: project });
        const modelTable = {};
        for (const model of models) {
            modelTable[model.id] = {
                id: model.id,
                description: model.description,
                version: model.version
            };
        }
        (0, util_1.echo)(JSON.stringify(modelTable, null, 2));
    }
});
//# sourceMappingURL=list.js.map