"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.modelPublish = void 0;
const alwayscli_1 = require("@alwaysai/alwayscli");
const cli_inputs_1 = require("../../cli-inputs");
const model_publish_component_1 = require("../../components/model/model-publish-component");
const user_1 = require("../../components/user");
exports.modelPublish = (0, alwayscli_1.CliLeaf)({
    name: 'publish',
    description: 'Publish a new version of a model to the alwaysAI Cloud',
    namedInputs: {
        yes: cli_inputs_1.yesCliInput,
        force: (0, alwayscli_1.CliFlagInput)({
            description: 'Publish the model even with validation failures'
        })
    },
    async action(_, { yes, force }) {
        await (0, user_1.checkUserIsLoggedInComponent)({ yes });
        await (0, model_publish_component_1.modelPublishComponent)({ force });
    }
});
//# sourceMappingURL=publish.js.map