"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pullAppReleaseCliLeaf = void 0;
const alwayscli_1 = require("@alwaysai/alwayscli");
const cli_inputs_1 = require("../../cli-inputs");
const release_1 = require("../../components/release");
const util_1 = require("../../util");
exports.pullAppReleaseCliLeaf = (0, alwayscli_1.CliLeaf)({
    name: 'pull',
    description: 'Retrieve a release of your application',
    namedInputs: {
        yes: cli_inputs_1.yesCliInput,
        project: (0, alwayscli_1.CliStringInput)({
            description: 'Project ID',
            required: true
        }),
        releaseHash: (0, alwayscli_1.CliStringInput)({
            description: 'Hash of a particular cloud app release'
        })
    },
    async action(_, opts) {
        const { yes, project, releaseHash } = opts;
        const retrievedReleaseHash = await (0, release_1.appReleasePullComponent)({
            yes,
            project,
            releaseHash
        });
        (0, util_1.echo)(`Downloaded ${retrievedReleaseHash
            ? `released application ${retrievedReleaseHash}`
            : 'most recently released application'} for project ${project} to ${process.cwd()}`);
    }
});
//# sourceMappingURL=pull.js.map