"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAccessJwtCliLeaf = void 0;
const alwayscli_1 = require("@alwaysai/alwayscli");
const cli_inputs_1 = require("../../cli-inputs");
const user_1 = require("../../components/user");
const environment_1 = require("../../environment");
const infrastructure_1 = require("../../infrastructure");
exports.getAccessJwtCliLeaf = (0, alwayscli_1.CliLeaf)({
    name: 'get-access-jwt',
    description: 'Get a JSON web token (JWT) for accessing the alwaysAI Cloud API',
    hidden: !environment_1.ALWAYSAI_SHOW_HIDDEN,
    namedInputs: {
        yes: cli_inputs_1.yesCliInput
    },
    async action(_, { yes }) {
        await (0, user_1.checkUserIsLoggedInComponent)({ yes });
        const { Authorization } = await (0, infrastructure_1.CliAuthenticationClient)().getAuthorizationHeader();
        return Authorization.split(' ')[1];
    }
});
//# sourceMappingURL=get-access-jwt.js.map