"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.copyFile = exports.copyFiles = exports.tarFiles = void 0;
const ignore_1 = require("./ignore");
async function tarFiles(source, ignore = []) {
    const filteredFileNames = await (0, ignore_1.getFilteredFileNames)(source, ignore);
    return await source.tar(...filteredFileNames);
}
exports.tarFiles = tarFiles;
async function copyFiles(source, target, ignore = []) {
    const readable = await tarFiles(source, ignore);
    await target.untar(readable);
}
exports.copyFiles = copyFiles;
async function copyFile(source, target, filename) {
    const tarfile = await source.tar(filename);
    await target.untar(tarfile);
}
exports.copyFile = copyFile;
//# sourceMappingURL=copy-files.js.map