"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLatestVersionFromNpm = void 0;
const node_fetch_1 = require("node-fetch");
const download_to_file_1 = require("./download-to-file");
async function getLatestVersionFromNpm(packageName) {
    const response = await (0, node_fetch_1.default)(`https://registry.npmjs.org/${packageName}/latest`);
    await (0, download_to_file_1.throwIfNotOk)(response);
    const parsed = await response.json();
    return parsed.version;
}
exports.getLatestVersionFromNpm = getLatestVersionFromNpm;
//# sourceMappingURL=get-latest-version-from-npm.js.map