"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runWithSpinner = void 0;
const spinner_1 = require("./spinner");
async function runWithSpinner(func, args, message) {
    const spinner = (0, spinner_1.Spinner)(message);
    try {
        const out = await func(...args);
        spinner.succeed();
        return out;
    }
    catch (exception) {
        spinner.fail();
        throw exception;
    }
}
exports.runWithSpinner = runWithSpinner;
//# sourceMappingURL=run-with-spinner.js.map