/// <reference types="node" />
interface SecureTunnelSshBase {
    processArgs(args: string[]): string[];
    runInteractiveSshAsync(args: string[]): void;
}
export declare class SecureTunnelInteractiveSsh implements SecureTunnelSshBase {
    private targetHost;
    private sshPort;
    constructor(opts: {
        targetHost: string;
        sshPort: number;
    });
    /**
     * processArgs - process arguments for the ssh
     * @param {string[]} args - arguments to process
     * @returns {string[]} - processed arguments
     */
    processArgs(args: string[]): string[];
    /**
     * runInteractiveSshAsync - run the ssh command in interactive mode
     * @param {string[]} args - arguments to use with ssh
     */
    runInteractiveSshAsync(args: string[]): Promise<import("child_process").ChildProcessByStdio<null, null, null>>;
}
export {};
//# sourceMappingURL=secure-tunnel-ssh.d.ts.map