import { SystemInformationShadowUpdate } from '@alwaysai/device-agent-schemas';
export interface SecureTunnelPorts {
    enabled: boolean;
    type: string;
    port: number;
    ip: string;
}
interface Shadow {
    txId: string;
    responseType: string;
    payload: {
        code?: number;
        message?: string;
        state?: {
            desired?: {
                st_ports?: SecureTunnelPorts[];
            };
            reported?: {
                st_ports?: SecureTunnelPorts[];
            };
        };
        version?: number;
        timestamp?: number;
    };
}
export declare enum HttpStatusCode {
    OK = 200,
    FORBIDDEN = 403
}
export declare const getShadow: (thingId: string) => Promise<Shadow>;
interface UpdateThingShadow {
    txtId: string;
    responseType: string;
    payload: {
        state: any;
        version: number;
        timestamp: number;
    };
}
export declare const updateShadow: (thingId: string, payload: any) => Promise<UpdateThingShadow>;
export declare function getSystemInfoShadow(thingId: string): Promise<SystemInformationShadowUpdate>;
export {};
//# sourceMappingURL=shadows.d.ts.map